PVCSIF(8)

NAME
pvcsif - configure ATM PVC sub interfaces

SYNOPSIS
pvcsif interface [-s]
pvcsif -a

DESCRIPTION
pvcsif creates a sub interface for an ATM PVC. A sub interface pvc(4) is dynamically created. The created interface is bound to interface but at this point no VC is assigned. To assign a VC, pvctxctl(8) should be used later.

A PVC sub interface is intended to use an ATM PVC as an alternative serial connection, and to be allocated per PVC basis. A PVC sub interface looks as a point-to-point interface and is multicast capable, as opposed to the NBMA (NonBroadcast Multiple Access) model that requires a MARS server. A point-to-point interface is useful to run MBone or protocols requiring multicast, such as RSVP and IPv6, over a PVC WAN connection.

Note that a sub interface is not a full-fledged interface but just an indirect reference to the real interface.

The options are as follows:

-s  For use with a shell, it prints the created interface name.

-a  Lists the existing sub interfaces.

BUGS
Currently, there is no way to remove a sub interface.

SEE ALSO
pvctxctl(8), ifconfig(8), en(4)